이 문서에서는 포드의 이미지, 팜 및 VDI 데스크톱에 설치된 에이전트가 포드의 매니페스트 버전과 호환되는지 확인하는 작업의 중요성을 설명하고 에이전트 관련 호환성 문제를 방지하기 위해 수행해야 하는 해결 방법을 설명합니다. 포드 업데이트가 시작되기 전에 콘솔의 모든 파란색 점 표시기가 사라질 때까지 에이전트를 업데이트해야 합니다. 포드 업데이트 후에 콘솔에서 파란색 점 표시기가 반환된 것을 확인할 경우 해당 에이전트를 다시 업데이트해야 합니다.

Horizon 서비스 설명 PDF에 설명된 것처럼 최신 업데이트로 마스터 이미지 및 할당을 계속 관리하고 패치를 적용하는 책임은 사용자에게 있습니다. 포드 이미지, 팜 및 데스크톱 할당의 에이전트가 포드 버전과 호환되는 최신 에이전트 버전으로 업데이트되었는지 잘 모를 경우 포드는 지원되지 않는 구성이 됩니다.

따라서 포드 업데이트가 시작되기 전에 에이전트가 최신 에이전트 버전으로 업데이트되도록 해야 합니다. 또한 포드 업데이트가 완료된 후에 콘솔에서 파란색 점 표시기가 반환되지 않는지 확인해야 합니다. 콘솔의 디스플레이에서 파란색 점 표시기가 반환된 경우 표시된 항목에 대한 에이전트를 다시 업데이트해야 합니다.

팁: 포드 업데이트 전과 포드 업데이트 후에 콘솔에 표시되는 모든 파란색 점 표시기를 지우는 것이 목표입니다.

포드 업데이트의 스케줄링된 유지 보수 이전에 모든 파란색 점 지우기 - 그 이후에 수행할 작업

콘솔에서 이미지 VM, 팜 및 VDI 데스크톱 할당 집합을 검토합니다. 파란색 점 표시기가 있습니까? 콘솔에서 에이전트가 최신 버전이 아닌 이미지 및 전용 VDI 데스크톱 할당 옆에는 파란색 점 표시기가 표시됩니다. 포드가 새 매니페스트 버전으로 업데이트되기 전에 모든 파란색 점 표시기를 모두 지우는 것이 목표입니다.

다음 스크린샷은 찾아볼 파란색 점의 유형을 보여 주는 스크린샷입니다.


[에이전트 업데이트] 워크플로가 필요한 이미지 옆에 나타나는 파란색 점 표시기를 보여 주는 스크린샷
포드 업데이트가 시작되기 전에 에이전트 업데이트 절차를 실행하여 모든 파란색 점을 지우기
파란색 점이 0개가 될 때까지 에이전트 업데이트 워크플로를 수행하십시오. 콘솔에서 팜의 세부 정보 페이지 및 VDI 데스크톱 할당 세부 정보 페이지에 있는 모든 VM 목록을 검토하여 호환되는 가장 높은 에이전트 버전을 사용하고 있는지 확인할 수 있습니다. 다음의 각 항목에 설명된 모든 지침을 따르십시오.

해당 절차를 완료한 후 팜 VM, 플로팅 VDI 데스크톱 할당의 데스크톱 VM 및 전용 VDI 데스크톱 할당의 할당되지 않은 데스크톱 VM이 모두 업데이트되고 호환되는 최고 에이전트 버전을 실행해야 합니다. 콘솔에서 팜의 세부 정보 페이지 및 VDI 데스크톱 할당 세부 정보 페이지에 있는 모든 VM 목록을 검토하여 확인할 수 있습니다.

포드 업데이트가 완료되면 파란색 점이 있는지 확인합니다. 그런 다음, 에이전트 업데이트 절차를 실행하여 모든 파란색 점을 지웁니다.
포드 업데이트 전에 이러한 점을 지웠더라도 포드 업데이트 후에 파란색 점 표시기가 콘솔에서 반환되는 이유는 무엇입니까? 새 포드 매니페스트가 출시될 때 새 에이전트 버전도 출시되기 때문입니다. 해당 포드 매니페스트 및 에이전트 버전을 조합하여 지원되는 포드-에이전트 구성이 형성됩니다.

그렇지만 기존 포드를 해당 새 포드 매니페스트 수준으로 가져오는 포드 업데이트 프로세스는 해당 포드의 기존 이미지 VM, 팜 VM 및 VDI 데스크톱 VM에 이미 설치된 에이전트에 영향을 주지 않습니다. 이러한 에이전트는 이전의 설치된 버전(해당 포드 매니페스트와 호환되거나 호환되지 않을 수 있음)을 그대로 유지합니다. 팜 및 데스크톱 VM이 이전 버전으로 생성되어 포드를 업데이트할 경우 포드가 포드-에이전트 버전 호환성 매트릭스 이외의 버전으로 업데이트되면 포드는 지원되지 않는 구성이 됩니다.

예는 다음과 같습니다. 다음 스크린샷은 서비스의 2.2 버전 중에 배포된 포드가 서비스의 2101 버전으로 업데이트된 경우의 예를 보여 줍니다. 해당 포드를 서비스의 2101 버전으로 업데이트하면 해당 포드의 기본 최신 버전인 에이전트 버전 19.4가 호환되지 않을 수 있습니다(회색 상자).


Horizon Cloud on Microsoft Azure 버전 2.2 및 HAI의 호환성 매트릭스를 보여 주는 스크린샷

특정 포드 매니페스트에 사용할 수 있는 최신 에이전트 버전을 표시하는 방법

각 포드에 대해 포드 관리자는 이미지 VM, 팜 VM 및 VDI 데스크톱 VM과 가져온 VM(가져온 VM에 에이전트 페어링 작업이 수행된 경우)에 설치된 에이전트와 페어링을 수행합니다. 이 페어링은 포드 관리자와 해당 VM 간에 필요한 보안 통신의 기반이 됩니다. 새 버전의 에이전트가 포드 관리자 소프트웨어의 새 버전(매니페스트)과 동시에 해제되고, 이러한 두 버전은 서로 호환됩니다. 동시에, 각 새 버전의 포드 관리자 소프트웨어는 이전 에이전트 버전 일부와 호환되어야 합니다. 즉, 최신 포드 관리자 소프트웨어는 계속해서 특정 시점의 이전 에이전트와 통신하고 다시 상호 운용될 수 있습니다. 최신 포드 관리자 소프트웨어와 이전 에이전트 간의 차이가 너무 커지면 포드 관리자와 해당 에이전트 간의 통신 및 상호 운용성이 중지됩니다.

포드 중 하나에 대한 특정 포드 매니페스트와 특정 에이전트 버전의 상호 운용성을 확인하려면 여러 지점의 정보(포드 매니페스트 버전, 해당 포드 매니페스트 버전이 출시된 VMware Horizon Cloud Service on Microsoft Azure라는 제품 버전 및 HAI(Horizon Agents Installer)의 버전)를 관련지어야 합니다. 에이전트 소프트웨어는 HAI 소프트웨어를 통해 포드의 가져온 VM, 이미지 VM, 팜 VM 및 VDI 데스크톱 VM에 설치됩니다.

  1. 먼저, [용량] 페이지 또는 포드의 세부 정보 페이지를 사용하여 포드의 매니페스트 버전을 확인합니다.
  2. 그런 다음, Horizon Cloud 릴리스 정보를 열고 해당 매니페스트가 출시된 새로운 기능 날짜를 찾을 해당 매니페스트 버전을 찾습니다.
  3. 동일한 새로운 기능 위치에서 제품 이름 VMware Horizon Cloud Service on Microsoft Azure 다음에 표시되는 버전 번호(예: 2101 또는 3.0)를 찾습니다.
  4. 그런 다음, https://interopmatrix.vmware.com/#/Interoperability의 [VMware 제품 상호 운용성 매트릭스] 페이지로 이동한 후 Horizon Cloud Service on Microsoft AzureHorizon Agents Installer와 비교하도록 선택합니다.
    • 비교 섹션의 Horizon Cloud Service on Microsoft Azure.
    • 비교 대상 섹션의 Horizon Agents Installer.

매트릭스의 포드 매니페스트 및 에이전트 버전의 조합이 녹색 점 외부에 있으면 해당 에이전트 버전을 실행하는 포드의 VM에 예기치 않은 문제가 발생할 가능성이 높습니다.

매니페스트 1763.x를 실행 중인 포드를 상상해보십시오. 릴리스 정보에 따르면 VMware Horizon Cloud Service on Microsoft Azure 2.2에 처음 출시된 첫 번째 1763.0 매니페스트일 것입니다. 이 매트릭스에서는 포드가 출시된 에이전트 버전(19.4) 및 이전 에이전트 버전 19.3.1, 19.3 및 19.2와 상호 운용될 것으로 표시됩니다. 릴리스 정보 새로운 기능 2019년 12월 13일부터는 VMware Horizon Cloud Service on Microsoft Azure 2.2 릴리스와 동시에 출시된 HAI 버전 19.4를 확인할 수 있습니다. 이 예에서 1763.x 포드가 작동할 수 있는 가장 오래된 에이전트는 19.2 에이전트입니다. 가장 높은 에이전트는 19.4 에이전트입니다. 1763.x를 실행하는 포드를 업데이트하기 전에 모범 사례는 이미지 VM, 팜 VM 및 VDI 데스크톱 VM의 에이전트가 해당 열에 표시된 가장 높은 에이전트 버전으로 업데이트되도록 하는 것입니다.

다음 스크린샷은 이전 단락에 대한 그림과 2021년 2월 23일 호환성 매트릭스를 보여 줍니다.


Horizon Cloud on Microsoft Azure 버전 2.2 및 HAI의 호환성 매트릭스를 보여 주는 스크린샷